﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Sample.Default" %>

<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
   
    
      
        <asp:HiddenField runat="server" ID="autoComp" ClientIDMode="Static" />
         <div>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <ej:Autocomplete ID="ShipCountry" runat="server" DataTextField="Text" DataUniqueKeyField="ID" />
                <ej:Grid ID="Grid" runat="server" AllowPaging="True" OnServerEditRow="EditEvents_ServerEditRow" OnServerAddRow="EditEvents_ServerAddRow"
                    OnServerDeleteRow="EditEvents_ServerDeleteRow">
                    <ClientSideEvents ActionComplete="complete" EndAdd="endAdd" EndDelete="endDelete" EndEdit="endEdit" />
                    <Columns>
                        <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="true" TextAlign="Right" Width="90">
                            <ValidationRule>
                                <ej:KeyValue Key="required" Value="true" />
                                <ej:KeyValue Key="number" Value="true" />
                            </ValidationRule>
                        </ej:Column>
                                       
                        <ej:Column Field="ShipName" HeaderText="ShipName" Width="110"></ej:Column>
                        <ej:Column Field="ShipCountry" HeaderText="ShipCountry" Width="90" />
                    </Columns>
                    <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True" DialogEditorTemplateID="#template" EditMode="DialogTemplate"></EditSettings>
                    <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
                </ej:Grid>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>

         <script type="text/template" id="template">
        <b>Order Details</b>
        <table cellspacing="10">
            <tr>
                <td style="text-align: right;">Order ID
                </td>
                <td style="text-align: left">
                    <input id="OrderID" name="OrderID" value="{{: OrderID}}" disabled="disabled"
                        class="e-field e-ejinputtext valid e-disable" style="text-align: right; width: 116px; height: 28px" />
                </td>
              
            </tr>
        
            <tr>
                <td style="text-align: right;">ShipName
                </td>
                <td style="text-align: left">
                    <input id="ShipName" name="ShipName" class="e-field e-ejinputtext valid"
                        style="width: 116px; height: 28px" value="{{:ShipName}}" />
                </td>
            </tr>

                 <tr>
             
                <td style="text-align: right;">ShipCountry
                </td>
                <td style="text-align: left">
                  <input id="ShipCountry1" name="ShipCountry" class="e-field e-ejinputtext valid"
                        style="width: 116px; height: 28px" value="{{:ShipCountry}}" />
                   </td>
            </tr>

        </table>
    </script>

      <script type="text/javascript">
            

            function endAdd(args) {
                $('#<%= Grid.ClientID %>').ejWaitingPopup("show");
        }
        function endDelete(args) {
            $('#<%= Grid.ClientID %>').ejWaitingPopup("show");
        }
        function endEdit(args) {
            $('#<%= Grid.ClientID %>').ejWaitingPopup("show");
        }
 
        function complete(args) {
            if (args.requestType == "refresh" || args.requestType == "save") {
                $('#<%= Grid.ClientID %>').ejWaitingPopup("hide");
            }
           
            if ((args.requestType == "beginedit" || args.requestType == "add") && args.model.editSettings.editMode == "dialogtemplate") {
                $("#Freight").ejNumericTextbox({ value: parseFloat($("#Freight").val()), width: "116px", height: "28px", decimalPlaces: 2 });
                //$("#ShipCountry").ejDropDownList({ width: '116px' });
                //if (args.requestType == "beginedit") {
                //    $("#OrderID").attr("disabled", "disabled");
                //    $("#ShipCountry").ejDropDownList("setSelectedValue", args.row.children().eq(2).text());
                //}
               //--- var obj = $(".e-grid").ejGrid("instance");
               //--- var data = ej.DataManager(obj.model.dataSource).executeLocal(new ej.Query().select("ShipCountry"));
               //--- $("#ShipCountry1").ejAutocomplete({ width: "100%", dataSource: data, enableDistinct: true});
                


                var data1 = JSON.parse('<%= new System.Web.Script.Serialization.JavaScriptSerializer().Serialize(this.AutoDataSource)%>');
                var data = ej.DataManager(data1).executeLocal(new ej.Query().select("OrderID", "ShipCountry"));
                $("#ShipCountry1").ejAutocomplete({
                    width: "100%",
                    dataSource: data,
                    fields: { text: "ShipCountry", key: "OrderID" },
                    select: function (argument) {
                        $("#autoComp").val(JSON.stringify(argument.item));
                    },

                    enableDistinct: true
                });



            }
       }
    </script>

 </asp:Content>
